## Establishment of the Lj bacterial culture collection

The *Lj* culture collection combines strains isolated during three independent isolation events. Bacterial isolation, DNA isolation and identification using Illumina sequencing were performed as previously described (Bai, Y. et al., 2015). Wild-type *Lj* (ecotype Gifu B-129) plants were grown in natural soil (Cologne agriculture soil (CAS), batch 10 from spring 2014 and batch 11 from spring 2015) in the greenhouse and harvested after 4 or 8 weeks to cover different developmental stages. Root systems of 20 plants were subjected to DNA isolation and culture-independent community profiling via amplicon sequencing. From 45 plants, a 4-cm section of the roots was collected and rigorously washed three times with phosphate-buffered saline (130 mM NaCl (7.6 g l−1), 7 mM Na2HPO4 (1.246 g l−1), 3 mM NaH2PO4 (0.414 g l−1), pH 7.0) and three times with sterile water. Nodule and root parts were separated and homogenized independently. Homogenized roots from each individual plant were allowed to sediment for 15 min and the supernatant was diluted (1:20,000, 1:40,000 and 1:60,000) with four different media: 3 g l−1 TSB, 50% TY, Casitone yeast for enrichment of Myxococcales (3 g l−1 Casitone, 1.36 g l−1 CaCl2·2H2O and 1 g l−1 yeast extract; pH adjusted to 7.2) and yeast agar van Niel’s, for enriching of Burkholderiales (10 g l−1 yeast extract, 1 g l−1 K2HPO4 and 0.5 g l−1 MgSO4·7H2O). Bacterial dilutions cultivated in 96-well microtitre plates. Homogenized nodules from each individual plant were directly diluted (1:20,000, 1:40,000 and 1:60,000) and cultivated in 96-well microtitre plates. This procedure was carried out for individual plants to obtain bacterial isolates from different plant roots. After 10–20 d at room temperature, plates that showed visible bacterial growth in around 30 wells were chosen for high-throughput sequencing. Bacterial isolates were identified with a two-step barcoded PCR protocol described previously (Bai, Y. et al., 2015), with the difference that at the first step of the PCR, the v5-v7 fragments of the 16S rRNA gene were amplified by the degenerate primers 799F (AACMGGATTAGATACCCKG) and 1192R (ACGTCATCCCCACCTTCC), and indexing was done using Illumina-barcoded primers. The indexed 16S rRNA amplicons were pooled, purified and sequenced on the Illumina MiSeq platform. Strains isolated from nodules were tested for their ability to form functional nodules in *Lj* Gifu plants grown on agar plates.

Cross-referencing of IRL sequences with culture-independent profiles was used to identify candidate strains for further characterization, purification and WGS. Two main selection criteria were used: maximum taxonomic coverage, selecting candidates from as many taxa as possible and priority to strains whose 16S sequences were highly abundant in the natural communities. Whenever multiple candidates from the same phylogroup were identified, we aimed to obtain multiple independent strains, if possible, coming from separate biological replicates to ensure they represented independent isolation events. After validation of selected strains, 294 (including nine isolated from nodules) were successfully subjected to WGS.

For WGS, DNA was isolated from strains using the QiAmp Micro DNA kit (Qiagen), treated with RNase and purified. Quality control, library preparation and sequencing (on the Illumina HiSeq3000 platform) were performed by the Max Planck Genome Centre, Cologne, Germany (https://mpgc.mpipz.mpg.de/home/). Sequencing depth was 5 million reads per sample.